import babel, { PluginObj } from '@babel/core';
import { ResolveOptions } from 'enhanced-resolve';

declare type Options = {
    ignoreBuiltins?: boolean;
    ignoreBareImport?: boolean;
    ignore?: (string | RegExp)[];
    baseUrl?: string;
    paths?: {
        [prefix: string]: string;
    };
    pathRegexps?: {
        [regexp: string]: string;
    };
    relative?: boolean;
    cache?: boolean;
} & Partial<ResolveOptions>;
declare type State = {
    file: {
        metadata: {
            deps: string[];
        };
    };
    filename?: string;
};
declare const _default: ({ types: t }: typeof babel, { ignoreBuiltins, ignoreBareImport, ignore, baseUrl, paths, pathRegexps: optionPathRegexps, relative: optionRelative, cache, ...resolveOptions }: Options) => PluginObj<State>;

export { Options, _default as default };
